Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class X509StoreCertPairCollection

    java.lang.Object
      org.bouncycastle.x509.X509StoreSpi
          org.bouncycastle.jce.provider.X509StoreCertPairCollection

    public class X509StoreCertPairCollection

extends X509StoreSpi

This class is a collection based Bouncy Castle `X509Store` SPI implementation for certificate pairs.

See Also:
  `X509Store`, `X509CertificatePair`

Constructor Summary
`X509StoreCertPairCollection()`

Method Summary
`java.util.Collection` | `engineGetMatches(Selector selector)` Returns a colelction of certificate pairs which match the given `selector`.
`void` | `engineInit(X509StoreParameters params)` Initializes this store.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509StoreCertPairCollection

    public X509StoreCertPairCollection()

Method Detail

### engineInit

    public void engineInit(X509StoreParameters params)

  Initializes this store.

  Specified by:
    `engineInit` in class `X509StoreSpi`
  Parameters:
    `params` - The `X509CollectionStoreParameters`s for this store.
  Throws:
    `java.lang.IllegalArgumentException` - if `params` is no instance of `X509CollectionStoreParameters`.

### engineGetMatches

    public java.util.Collection engineGetMatches(Selector selector)

  Returns a colelction of certificate pairs which match the given `selector`.

  The returned collection contains `X509CertificatePair`s. The selector must be a `X509CertPairStoreSelector` to select certificate pairs.

  Specified by:
    `engineGetMatches` in class `X509StoreSpi`
  Returns:
    A collection with matching certificate pairs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD